> ## Documentation Index
> Fetch the complete documentation index at: https://voice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Phone Number Details

> Get detailed information on owned phone numbers.



## OpenAPI

````yaml /docs/openapi.json get /api/v1/agent/phone-numbers
openapi: 3.1.0
info:
  title: Voice AI Developer API
  description: >-
    Generate realistic speech and clone voices. AI voice agents with retrieval
    augmented generation (RAG) and model context protocol (MCP) included.
  version: 1.5.0
  contact: {}
servers:
  - url: https://dev.voice.ai
    description: HTTP API endpoints
security:
  - BearerAuth: []
tags:
  - name: Text To Speech
    description: Text-to-speech endpoints for voice cloning and speech generation.
  - name: Pronunciation Dictionaries
    description: Manage versioned pronunciation dictionaries for TTS and voice agents.
  - name: Agent Management
    description: Create, update, deploy, and manage voice agents.
  - name: Models
    description: Discover supported LLM and TTS model options.
  - name: Agent Connection
    description: Connect to agents and manage active calls.
  - name: Agent Analytics
    description: >-
      Analytics and reporting for agent performance, call history, and
      statistics.
  - name: Agent Knowledge Base
    description: >-
      Manage knowledge bases for retrieval augmented generation (RAG) with your
      agents.
  - name: Phone Number Management
    description: >-
      Search, select, and manage phone numbers from your plan allocation.
      Release numbers to free up slots.
  - name: Managed Tools
    description: >-
      Connect Google Calendar, Sheets, and Gmail to agents and inspect
      connection state.
paths:
  /api/v1/agent/phone-numbers:
    get:
      tags:
        - Phone Number Management
      summary: List Phone Number Details
      description: Get detailed information on owned phone numbers.
      operationId: get_all_phone_numbers_api_v1_agent_phone_numbers_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            description: Page number (1-based)
            title: Page
          description: Page number (1-based)
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100
                minimum: 1
              - type: 'null'
            description: Items per page
            title: Limit
          description: Items per page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/AllPhoneNumbersResponse'
                  - $ref: '#/components/schemas/PaginatedAllPhoneNumbersResponse'
                title: Response Get All Phone Numbers Api V1 Agent Phone Numbers Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AllPhoneNumbersResponse:
      properties:
        phone_numbers:
          items:
            $ref: '#/components/schemas/PhoneNumberInfo'
          type: array
          title: Phone Numbers
        total_numbers:
          type: integer
          title: Total Numbers
        total_available:
          type: integer
          title: Total Available
        total_assigned:
          type: integer
          title: Total Assigned
      type: object
      required:
        - phone_numbers
        - total_numbers
        - total_available
        - total_assigned
      title: AllPhoneNumbersResponse
    PaginatedAllPhoneNumbersResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PhoneNumberInfo'
          type: array
          title: Items
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
      type: object
      required:
        - items
        - pagination
      title: PaginatedAllPhoneNumbersResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PhoneNumberInfo:
      properties:
        phone_number:
          type: string
          title: Phone Number
        status:
          type: string
          title: Status
        assigned_to_agent_id:
          type: string
          title: Assigned To Agent Id
          nullable: true
        assigned_to_agent_name:
          type: string
          title: Assigned To Agent Name
          nullable: true
      type: object
      required:
        - phone_number
        - status
      title: PhoneNumberInfo
    PaginationMeta:
      properties:
        current_page:
          type: integer
          title: Current Page
        total_pages:
          type: integer
          title: Total Pages
        total_items:
          type: integer
          title: Total Items
        limit:
          type: integer
          title: Limit
        has_next:
          type: boolean
          title: Has Next
        has_previous:
          type: boolean
          title: Has Previous
      type: object
      required:
        - current_page
        - total_pages
        - total_items
        - limit
        - has_next
        - has_previous
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Use your API key as the bearer token.
        Format: Authorization: Bearer <your-api-key>

````